Autor Tópico: Instalação do DeSmuME  (Lida 4736 vezes)

Willder

  • Visitante
Instalação do DeSmuME
« Online: 03 de Julho de 2012, 23:57 »
Bem pessoal,

Primeiro de tudo eu tenho um DS aqui em casa que nesse momento descansa em paz na gaveta, quebrado, portanto rodo as roms sem peso na consciência.

O problema é o seguinte, sei que o emulador de Nintendo DS, o DeSmuME, está na Central de Programas para instalação apenas em um clique, masss, a versão não está atualizada. A disponível lá é a 0.9.7x e a mais atual é a 0.9.8. Além disso, quando eu rodava ele no Windows mesmo na versão 0.9.7, eu tinha uma série de opções que não estão disponivels aqui, com escolher entre usar OpenGL ou renderização por software, rodar roms compactadas e o mais importante: aplicar filtros.

Eu tentei instalar a versão mais recente para ver se consigo essas opções aqui no Ubuntu, mas recebo esses erros e não consigo instalar. alguém sabe qual o problema?

Ó:

Código: [Selecionar]
willder@Willder://home/willder/Downloads/desmume-0.9.8$ ./configure
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking for g++... g++
checking whether the C++ compiler works... yes
checking for C++ compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking for style of include used by make... GNU
checking dependency style of g++... gcc3
checking for ranlib... ranlib
checking for gcc... gcc
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking dependency style of gcc... gcc3
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking whether byte ordering is bigendian... no
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking whether NLS is requested... yes
checking for intltool-update... /usr/bin/intltool-update
checking for intltool-merge... /usr/bin/intltool-merge
checking for intltool-extract... /usr/bin/intltool-extract
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/msgfmt
checking for perl... /usr/bin/perl
checking for perl >= 5.8.1... 5.14.2
checking for XML::Parser... ok
checking for pkg-config... pkg-config
checking for gzopen in -lz... no
configure: error: zlib was not found, we can't go further. Please install it or specify the location where it's installed.

Rodar as roms compactadas é muito bom pois em geral reduz quase 40 ou 50% o tamanho delas, mas o mais importante mesmo são os filtros. Aplicando eles, posso rodar com uma janela maior que o tamanho padrão da tela do DS sem perda aparente de qualidade (serrilhado) e, aliás, também não está disponível a opção para aumentar a tela.

Alguém sabe qual o problema? Está faltando alguma coisa instalada no PC?
Agradeço desde já.
« Última modificação: 05 de Julho de 2012, 21:16 por Willder »

Offline Andreson Goveia

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 1.985
  • Kubuntu 14.10
    • Ver perfil
Re: Instalação do DeSmuME
« Resposta #1 Online: 04 de Julho de 2012, 01:10 »
Movido para Jogos e Diversão

Willder

  • Visitante
Re: Instalação do DeSmuME
« Resposta #2 Online: 04 de Julho de 2012, 03:19 »
Movido para Jogos e Diversão

Ok Andry, desculpa eu ter errado o local para o tópico, mas considerei isso antes de postar:

Citar
Mas, tio Andry, porque tenho que postar aqui se minha duvida é sobre instalação?(exemplo)
R: Por que ao postar aqui, quem for lhe ajudar irá colocar passo a passo como fazer para resolver seu problema, como por exemplo, “ … abra o terminal em menu, aperte as teclas tal e tal...”, ou seja, vão te responder bem detalhadamente, já que estarão cientes de que você é um iniciante.


http://ubuntuforum-br.org/index.php/topic,90314.0.html

Offline Andreson Goveia

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 1.985
  • Kubuntu 14.10
    • Ver perfil
Re: Instalação do DeSmuME
« Resposta #3 Online: 04 de Julho de 2012, 04:01 »
Considere que,quem quer instalar um programa pelo seu código fonte não é um iniciante não acha?

Offline Tota

  • Usuário Ubuntu
  • *
  • Mensagens: 14.982
    • Ver perfil
Re: Instalação do DeSmuME
« Resposta #4 Online: 04 de Julho de 2012, 08:19 »
Código: [Selecionar]
[quote author=Willder link=topic=97427.msg535539#msg535539 date=1341370644]
configure: error: zlib was not found, we can't go further. Please install it or specify the location where it's installed.

Ola

Zlib é uma biblioteca para descompactar pacotes.

Voce instalou corretamente o build-essential?

[]'s

Willder

  • Visitante
Re: Instalação do DeSmuME
« Resposta #5 Online: 04 de Julho de 2012, 19:06 »
Considere que,quem quer instalar um programa pelo seu código fonte não é um iniciante não acha?

 ;D

Mas é a primeira vez que eu tento fazer isso, e aliás, é instalar ou não instalar porque eu já tentei de tudo.

Código: [Selecionar]
[quote author=Willder link=topic=97427.msg535539#msg535539 date=1341370644]
configure: error: zlib was not found, we can't go further. Please install it or specify the location where it's installed.

Ola

Zlib é uma biblioteca para descompactar pacotes.

Voce instalou corretamente o build-essential?

[]'s

Acho que sim, eu instalei seguindo esse post quando estava mudando para o Ubuntu: http://www.ubuntubrsc.com/que-fazer-apos-instalar-ubuntu-12-04-precise-pangolin.html

Seria esse:
Código: [Selecionar]
sudo apt-get install build-essential checkinstall cdbs devscripts dh-make fakeroot libxml-parser-perl check avahi-daemon -y
Bem, é o que está no post e é tudo o que sei. Devo dar um
Código: [Selecionar]
sudo apt-get install Zlib no Terminal?

Obrigado pela ajuda.

Offline platao

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 5.052
    • Ver perfil
« Última modificação: 05 de Julho de 2012, 00:37 por platao »
\\\\\\\\Apostilas Dicas e Guias do Ubuntu\\\\\\\\\> http://ubuntuforum-br.org/index.php/topic,79368.msg440997.html#msg440997

Willder

  • Visitante
Re: Instalação do DeSmuME
« Resposta #7 Online: 05 de Julho de 2012, 20:26 »
Platao, obrigado pela resposta.

Eu consegui instalar baixando o arquivo .deb.

Infelizmente o emulador ainda não tem essas caracteristicas que citei acima, então o jeito será tentar rodar ele através do Wine.

Obrigado pela ajuda pessoal!  ;D